/*! © 2026 Yahoo, Inc. UDS Tailwind and Purger v0.0.0-development */

//#region src/tailwind/utils/getScaleModeStyles.ts
function getStylesForScaleMode(config) {
	return {
		...config.borderRadius._vars,
		...config.borderWidth._vars,
		...config.avatarSizes._vars,
		...config.iconSizes._vars
	};
}
function getScaleModeStyles(tokens) {
	return {
		xSmall: getStylesForScaleMode(tokens.scaleMode.xSmall),
		small: getStylesForScaleMode(tokens.scaleMode.small),
		medium: getStylesForScaleMode(tokens.scaleMode.medium),
		large: getStylesForScaleMode(tokens.scaleMode.large),
		xLarge: getStylesForScaleMode(tokens.scaleMode.xLarge),
		xxLarge: getStylesForScaleMode(tokens.scaleMode.xxLarge),
		xxxLarge: getStylesForScaleMode(tokens.scaleMode.xxxLarge)
	};
}

//#endregion
exports.getScaleModeStyles = getScaleModeStyles;